<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class artistes extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->model('model_music');
	}
	public function index(){
		$artistes = $this->model_music->getArtists();
        $playlists = $this->model_music->getPlaylist();
		$this->load->view('layout/header');
		$this->load->view('artistes_list',['artistes'=>$artistes, 'playlists' => $playlists]);
		$this->load->view('layout/footer');
	}

	public function view($AlbumsOfArtistId){
        $artistes = $this->model_music->getArtists();
        $AlbumsOfArtists = $this->model_music->getAlbumsOfArtist($AlbumsOfArtistId);
        $playlists = $this->model_music->getPlaylist();
        $this->load->view('layout/header');
        $this->load->view('albums_artist_list', ['AlbumsOfArtists' => $AlbumsOfArtists, 'playlists' => $playlists, 'artist_id' => $AlbumsOfArtistId, 'artistes' => $artistes]);
        $this->load->view('layout/footer');
    }

    public function addAllSongsToPlaylist(){
        $album_id = $this->input->post('album_id');
        $playlistId = $this->input->post('playlist');
        $songs = $this->model_music->getSongOfAlbum($album_id);
        foreach ($songs as $song) {
            $this->model_music->addSongToPlaylist($song->name, $playlistId);
        }
        redirect('playlist');
    }

    public function addSongOfArtistToPlaylist(){
        $playlistId = $this->input->post('playlist');
        $artistId = $this->input->post('artistId'); 
        $this->model_music->addAllSongsOfArtistInPlaylist($artistId, $playlistId);
        redirect('artistes');

    }

}
